Index: /branches/ClientUserManagement/HeuristicLab.Services.Access.DataAccess/3.3/ClientManagement.designer.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Services.Access.DataAccess/3.3/ClientManagement.designer.cs	(revision 6839)
+++ /branches/ClientUserManagement/HeuristicLab.Services.Access.DataAccess/3.3/ClientManagement.designer.cs	(revision 6840)
@@ -1351,30 +1611,36 @@
     partial void OnFullNameChanged();
     #endregion
-
-    public User() {
-      OnCreated();
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_FullName", DbType = "NVarChar(MAX)")]
-    public string FullName {
-      get {
-        return this._FullName;
-      }
-      set {
-        if ((this._FullName != value)) {
-          this.OnFullNameChanging(value);
-          this.SendPropertyChanging();
-          this._FullName = value;
-          this.SendPropertyChanged("FullName");
-          this.OnFullNameChanged();
-        }
-      }
-    }
-  }
-
-  public partial class UserGroup : UserGroupBase {
-
-    private string _Name;
-
+		
+		public User()
+		{
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_FullName", DbType="NVarChar(MAX)")]
+		public string FullName
+		{
+			get
+			{
+				return this._FullName;
+			}
+			set
+			{
+				if ((this._FullName != value))
+				{
+					this.OnFullNameChanging(value);
+					this.SendPropertyChanging();
+					this._FullName = value;
+					this.SendPropertyChanged("FullName");
+					this.OnFullNameChanged();
+				}
+			}
+		}
+	}
+	
+	public partial class UserGroup : UserGroupBase
+	{
+		
+		private string _Name;
+		
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -1384,37 +1650,41 @@
     partial void OnNameChanged();
     #endregion
-
-    public UserGroup() {
-      OnCreated();
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Name", DbType = "NVarChar(MAX)")]
-    public string Name {
-      get {
-        return this._Name;
-      }
-      set {
-        if ((this._Name != value)) {
-          this.OnNameChanging(value);
-          this.SendPropertyChanging();
-          this._Name = value;
-          this.SendPropertyChanged("Name");
-          this.OnNameChanged();
-        }
-      }
-    }
-  }
-
-  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.ClientType")]
-  public partial class ClientType : INotifyPropertyChanging, INotifyPropertyChanged {
-
-    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-
-    private System.Guid _Id;
-
-    private string _Name;
-
-    private EntityRef<Client> _Client;
-
+		
+		public UserGroup()
+		{
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Name", DbType="NVarChar(MAX)")]
+		public string Name
+		{
+			get
+			{
+				return this._Name;
+			}
+			set
+			{
+				if ((this._Name != value))
+				{
+					this.OnNameChanging(value);
+					this.SendPropertyChanging();
+					this._Name = value;
+					this.SendPropertyChanged("Name");
+					this.OnNameChanged();
+				}
+			}
+		}
+	}
+	
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.ClientType")]
+	public partial class ClientType : INotifyPropertyChanging, INotifyPropertyChanged
+	{
+		
+		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+		
+		private System.Guid _Id;
+		
+		private string _Name;
+		
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -1426,99 +1696,81 @@
     partial void OnNameChanged();
     #endregion
-
-    public ClientType() {
-      this._Client = default(EntityRef<Client>);
-      OnCreated();
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Id", DbType = "UniqueIdentifier NOT NULL", IsPrimaryKey = true, IsDbGenerated = true)]
-    public System.Guid Id {
-      get {
-        return this._Id;
-      }
-      set {
-        if ((this._Id != value)) {
-          if (this._Client.HasLoadedOrAssignedValue) {
-            throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-          }
-          this.OnIdChanging(value);
-          this.SendPropertyChanging();
-          this._Id = value;
-          this.SendPropertyChanged("Id");
-          this.OnIdChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Name", DbType = "NVarChar(MAX) NOT NULL", CanBeNull = false)]
-    public string Name {
-      get {
-        return this._Name;
-      }
-      set {
-        if ((this._Name != value)) {
-          this.OnNameChanging(value);
-          this.SendPropertyChanging();
-          this._Name = value;
-          this.SendPropertyChanged("Name");
-          this.OnNameChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "Client_ClientType", Storage = "_Client", ThisKey = "Id", OtherKey = "ClientTypeId", IsForeignKey = true)]
-    public Client Client {
-      get {
-        return this._Client.Entity;
-      }
-      set {
-        Client previousValue = this._Client.Entity;
-        if (((previousValue != value)
-              || (this._Client.HasLoadedOrAssignedValue == false))) {
-          this.SendPropertyChanging();
-          if ((previousValue != null)) {
-            this._Client.Entity = null;
-            previousValue.ClientType = null;
-          }
-          this._Client.Entity = value;
-          if ((value != null)) {
-            value.ClientType = this;
-            this._Id = value.ClientTypeId;
-          } else {
-            this._Id = default(System.Guid);
-          }
-          this.SendPropertyChanged("Client");
-        }
-      }
-    }
-
-    public event PropertyChangingEventHandler PropertyChanging;
-
-    public event PropertyChangedEventHandler PropertyChanged;
-
-    protected virtual void SendPropertyChanging() {
-      if ((this.PropertyChanging != null)) {
-        this.PropertyChanging(this, emptyChangingEventArgs);
-      }
-    }
-
-    protected virtual void SendPropertyChanged(String propertyName) {
-      if ((this.PropertyChanged != null)) {
-        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-      }
-    }
-  }
-
-  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.OperatingSystem")]
-  public partial class OperatingSystem : INotifyPropertyChanging, INotifyPropertyChanged {
-
-    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-
-    private System.Guid _Id;
-
-    private string _Name;
-
-    private EntityRef<Client> _Client;
-
+		
+		public ClientType()
+		{
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true, IsDbGenerated=true)]
+		public System.Guid Id
+		{
+			get
+			{
+				return this._Id;
+			}
+			set
+			{
+				if ((this._Id != value))
+				{
+					this.OnIdChanging(value);
+					this.SendPropertyChanging();
+					this._Id = value;
+					this.SendPropertyChanged("Id");
+					this.OnIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Name", DbType="NVarChar(MAX) NOT NULL", CanBeNull=false)]
+		public string Name
+		{
+			get
+			{
+				return this._Name;
+			}
+			set
+			{
+				if ((this._Name != value))
+				{
+					this.OnNameChanging(value);
+					this.SendPropertyChanging();
+					this._Name = value;
+					this.SendPropertyChanged("Name");
+					this.OnNameChanged();
+				}
+			}
+		}
+		
+		public event PropertyChangingEventHandler PropertyChanging;
+		
+		public event PropertyChangedEventHandler PropertyChanged;
+		
+		protected virtual void SendPropertyChanging()
+		{
+			if ((this.PropertyChanging != null))
+			{
+				this.PropertyChanging(this, emptyChangingEventArgs);
+			}
+		}
+		
+		protected virtual void SendPropertyChanged(String propertyName)
+		{
+			if ((this.PropertyChanged != null))
+			{
+				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+			}
+		}
+	}
+	
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.OperatingSystem")]
+	public partial class OperatingSystem : INotifyPropertyChanging, INotifyPropertyChanged
+	{
+		
+		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+		
+		private System.Guid _Id;
+		
+		private string _Name;
+		
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -1530,99 +1782,81 @@
     partial void OnNameChanged();
     #endregion
-
-    public OperatingSystem() {
-      this._Client = default(EntityRef<Client>);
-      OnCreated();
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Id", DbType = "UniqueIdentifier NOT NULL", IsPrimaryKey = true, IsDbGenerated = true)]
-    public System.Guid Id {
-      get {
-        return this._Id;
-      }
-      set {
-        if ((this._Id != value)) {
-          if (this._Client.HasLoadedOrAssignedValue) {
-            throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-          }
-          this.OnIdChanging(value);
-          this.SendPropertyChanging();
-          this._Id = value;
-          this.SendPropertyChanged("Id");
-          this.OnIdChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Name", DbType = "NVarChar(MAX) NOT NULL", CanBeNull = false)]
-    public string Name {
-      get {
-        return this._Name;
-      }
-      set {
-        if ((this._Name != value)) {
-          this.OnNameChanging(value);
-          this.SendPropertyChanging();
-          this._Name = value;
-          this.SendPropertyChanged("Name");
-          this.OnNameChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "Client_OperatingSystem", Storage = "_Client", ThisKey = "Id", OtherKey = "OperatingSystemId", IsForeignKey = true)]
-    public Client Client {
-      get {
-        return this._Client.Entity;
-      }
-      set {
-        Client previousValue = this._Client.Entity;
-        if (((previousValue != value)
-              || (this._Client.HasLoadedOrAssignedValue == false))) {
-          this.SendPropertyChanging();
-          if ((previousValue != null)) {
-            this._Client.Entity = null;
-            previousValue.OperatingSystem = null;
-          }
-          this._Client.Entity = value;
-          if ((value != null)) {
-            value.OperatingSystem = this;
-            this._Id = value.OperatingSystemId;
-          } else {
-            this._Id = default(System.Guid);
-          }
-          this.SendPropertyChanged("Client");
-        }
-      }
-    }
-
-    public event PropertyChangingEventHandler PropertyChanging;
-
-    public event PropertyChangedEventHandler PropertyChanged;
-
-    protected virtual void SendPropertyChanging() {
-      if ((this.PropertyChanging != null)) {
-        this.PropertyChanging(this, emptyChangingEventArgs);
-      }
-    }
-
-    protected virtual void SendPropertyChanged(String propertyName) {
-      if ((this.PropertyChanged != null)) {
-        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-      }
-    }
-  }
-
-  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.Country")]
-  public partial class Country : INotifyPropertyChanging, INotifyPropertyChanged {
-
-    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-
-    private System.Guid _Id;
-
-    private string _Name;
-
-    private EntityRef<Client> _Client;
-
+		
+		public OperatingSystem()
+		{
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true, IsDbGenerated=true)]
+		public System.Guid Id
+		{
+			get
+			{
+				return this._Id;
+			}
+			set
+			{
+				if ((this._Id != value))
+				{
+					this.OnIdChanging(value);
+					this.SendPropertyChanging();
+					this._Id = value;
+					this.SendPropertyChanged("Id");
+					this.OnIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Name", DbType="NVarChar(MAX) NOT NULL", CanBeNull=false)]
+		public string Name
+		{
+			get
+			{
+				return this._Name;
+			}
+			set
+			{
+				if ((this._Name != value))
+				{
+					this.OnNameChanging(value);
+					this.SendPropertyChanging();
+					this._Name = value;
+					this.SendPropertyChanged("Name");
+					this.OnNameChanged();
+				}
+			}
+		}
+		
+		public event PropertyChangingEventHandler PropertyChanging;
+		
+		public event PropertyChangedEventHandler PropertyChanged;
+		
+		protected virtual void SendPropertyChanging()
+		{
+			if ((this.PropertyChanging != null))
+			{
+				this.PropertyChanging(this, emptyChangingEventArgs);
+			}
+		}
+		
+		protected virtual void SendPropertyChanged(String propertyName)
+		{
+			if ((this.PropertyChanged != null))
+			{
+				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+			}
+		}
+	}
+	
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Country")]
+	public partial class Country : INotifyPropertyChanging, INotifyPropertyChanged
+	{
+		
+		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+		
+		private System.Guid _Id;
+		
+		private string _Name;
+		
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -1634,101 +1868,83 @@
     partial void OnNameChanged();
     #endregion
-
-    public Country() {
-      this._Client = default(EntityRef<Client>);
-      OnCreated();
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Id", DbType = "UniqueIdentifier NOT NULL", IsPrimaryKey = true, IsDbGenerated = true)]
-    public System.Guid Id {
-      get {
-        return this._Id;
-      }
-      set {
-        if ((this._Id != value)) {
-          if (this._Client.HasLoadedOrAssignedValue) {
-            throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-          }
-          this.OnIdChanging(value);
-          this.SendPropertyChanging();
-          this._Id = value;
-          this.SendPropertyChanged("Id");
-          this.OnIdChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Name", DbType = "NVarChar(MAX) NOT NULL", CanBeNull = false)]
-    public string Name {
-      get {
-        return this._Name;
-      }
-      set {
-        if ((this._Name != value)) {
-          this.OnNameChanging(value);
-          this.SendPropertyChanging();
-          this._Name = value;
-          this.SendPropertyChanged("Name");
-          this.OnNameChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "Client_Country", Storage = "_Client", ThisKey = "Id", OtherKey = "CountryId", IsForeignKey = true)]
-    public Client Client {
-      get {
-        return this._Client.Entity;
-      }
-      set {
-        Client previousValue = this._Client.Entity;
-        if (((previousValue != value)
-              || (this._Client.HasLoadedOrAssignedValue == false))) {
-          this.SendPropertyChanging();
-          if ((previousValue != null)) {
-            this._Client.Entity = null;
-            previousValue.Country = null;
-          }
-          this._Client.Entity = value;
-          if ((value != null)) {
-            value.Country = this;
-            this._Id = value.CountryId;
-          } else {
-            this._Id = default(System.Guid);
-          }
-          this.SendPropertyChanged("Client");
-        }
-      }
-    }
-
-    public event PropertyChangingEventHandler PropertyChanging;
-
-    public event PropertyChangedEventHandler PropertyChanged;
-
-    protected virtual void SendPropertyChanging() {
-      if ((this.PropertyChanging != null)) {
-        this.PropertyChanging(this, emptyChangingEventArgs);
-      }
-    }
-
-    protected virtual void SendPropertyChanged(String propertyName) {
-      if ((this.PropertyChanged != null)) {
-        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-      }
-    }
-  }
-
-  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.ClientConfiguration")]
-  public partial class ClientConfiguration : INotifyPropertyChanging, INotifyPropertyChanged {
-
-    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-
-    private System.Guid _Id;
-
-    private string _Hash;
-
-    private string _Description;
-
-    private EntityRef<Client> _Client;
-
+		
+		public Country()
+		{
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true, IsDbGenerated=true)]
+		public System.Guid Id
+		{
+			get
+			{
+				return this._Id;
+			}
+			set
+			{
+				if ((this._Id != value))
+				{
+					this.OnIdChanging(value);
+					this.SendPropertyChanging();
+					this._Id = value;
+					this.SendPropertyChanged("Id");
+					this.OnIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Name", DbType="NVarChar(MAX) NOT NULL", CanBeNull=false)]
+		public string Name
+		{
+			get
+			{
+				return this._Name;
+			}
+			set
+			{
+				if ((this._Name != value))
+				{
+					this.OnNameChanging(value);
+					this.SendPropertyChanging();
+					this._Name = value;
+					this.SendPropertyChanged("Name");
+					this.OnNameChanged();
+				}
+			}
+		}
+		
+		public event PropertyChangingEventHandler PropertyChanging;
+		
+		public event PropertyChangedEventHandler PropertyChanged;
+		
+		protected virtual void SendPropertyChanging()
+		{
+			if ((this.PropertyChanging != null))
+			{
+				this.PropertyChanging(this, emptyChangingEventArgs);
+			}
+		}
+		
+		protected virtual void SendPropertyChanged(String propertyName)
+		{
+			if ((this.PropertyChanged != null))
+			{
+				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+			}
+		}
+	}
+	
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.ClientConfiguration")]
+	public partial class ClientConfiguration : INotifyPropertyChanging, INotifyPropertyChanged
+	{
+		
+		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+		
+		private System.Guid _Id;
+		
+		private string _Hash;
+		
+		private string _Description;
+		
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -1742,119 +1958,107 @@
     partial void OnDescriptionChanged();
     #endregion
-
-    public ClientConfiguration() {
-      this._Client = default(EntityRef<Client>);
-      OnCreated();
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Id", DbType = "UniqueIdentifier NOT NULL", IsPrimaryKey = true, IsDbGenerated = true)]
-    public System.Guid Id {
-      get {
-        return this._Id;
-      }
-      set {
-        if ((this._Id != value)) {
-          if (this._Client.HasLoadedOrAssignedValue) {
-            throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-          }
-          this.OnIdChanging(value);
-          this.SendPropertyChanging();
-          this._Id = value;
-          this.SendPropertyChanged("Id");
-          this.OnIdChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Hash", DbType = "NVarChar(MAX) NOT NULL", CanBeNull = false)]
-    public string Hash {
-      get {
-        return this._Hash;
-      }
-      set {
-        if ((this._Hash != value)) {
-          this.OnHashChanging(value);
-          this.SendPropertyChanging();
-          this._Hash = value;
-          this.SendPropertyChanged("Hash");
-          this.OnHashChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Description", DbType = "NVarChar(MAX)")]
-    public string Description {
-      get {
-        return this._Description;
-      }
-      set {
-        if ((this._Description != value)) {
-          this.OnDescriptionChanging(value);
-          this.SendPropertyChanging();
-          this._Description = value;
-          this.SendPropertyChanged("Description");
-          this.OnDescriptionChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "Client_ClientConfiguration", Storage = "_Client", ThisKey = "Id", OtherKey = "ClientConfigurationId", IsForeignKey = true)]
-    public Client Client {
-      get {
-        return this._Client.Entity;
-      }
-      set {
-        Client previousValue = this._Client.Entity;
-        if (((previousValue != value)
-              || (this._Client.HasLoadedOrAssignedValue == false))) {
-          this.SendPropertyChanging();
-          if ((previousValue != null)) {
-            this._Client.Entity = null;
-            previousValue.ClientConfiguration = null;
-          }
-          this._Client.Entity = value;
-          if ((value != null)) {
-            value.ClientConfiguration = this;
-            this._Id = value.ClientConfigurationId;
-          } else {
-            this._Id = default(System.Guid);
-          }
-          this.SendPropertyChanged("Client");
-        }
-      }
-    }
-
-    public event PropertyChangingEventHandler PropertyChanging;
-
-    public event PropertyChangedEventHandler PropertyChanged;
-
-    protected virtual void SendPropertyChanging() {
-      if ((this.PropertyChanging != null)) {
-        this.PropertyChanging(this, emptyChangingEventArgs);
-      }
-    }
-
-    protected virtual void SendPropertyChanged(String propertyName) {
-      if ((this.PropertyChanged != null)) {
-        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-      }
-    }
-  }
-
-  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.Plugin")]
-  public partial class Plugin : INotifyPropertyChanging, INotifyPropertyChanged {
-
-    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-
-    private System.Guid _Id;
-
-    private string _Name;
-
-    private string _StrongName;
-
-    private string _Version;
-
-    private EntitySet<ResourcePlugin> _ResourcePlugins;
-
+		
+		public ClientConfiguration()
+		{
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true, IsDbGenerated=true)]
+		public System.Guid Id
+		{
+			get
+			{
+				return this._Id;
+			}
+			set
+			{
+				if ((this._Id != value))
+				{
+					this.OnIdChanging(value);
+					this.SendPropertyChanging();
+					this._Id = value;
+					this.SendPropertyChanged("Id");
+					this.OnIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Hash", DbType="NVarChar(MAX) NOT NULL", CanBeNull=false)]
+		public string Hash
+		{
+			get
+			{
+				return this._Hash;
+			}
+			set
+			{
+				if ((this._Hash != value))
+				{
+					this.OnHashChanging(value);
+					this.SendPropertyChanging();
+					this._Hash = value;
+					this.SendPropertyChanged("Hash");
+					this.OnHashChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Description", DbType="NVarChar(MAX)")]
+		public string Description
+		{
+			get
+			{
+				return this._Description;
+			}
+			set
+			{
+				if ((this._Description != value))
+				{
+					this.OnDescriptionChanging(value);
+					this.SendPropertyChanging();
+					this._Description = value;
+					this.SendPropertyChanged("Description");
+					this.OnDescriptionChanged();
+				}
+			}
+		}
+		
+		public event PropertyChangingEventHandler PropertyChanging;
+		
+		public event PropertyChangedEventHandler PropertyChanged;
+		
+		protected virtual void SendPropertyChanging()
+		{
+			if ((this.PropertyChanging != null))
+			{
+				this.PropertyChanging(this, emptyChangingEventArgs);
+			}
+		}
+		
+		protected virtual void SendPropertyChanged(String propertyName)
+		{
+			if ((this.PropertyChanged != null))
+			{
+				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+			}
+		}
+	}
+	
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Plugin")]
+	public partial class Plugin : INotifyPropertyChanging, INotifyPropertyChanged
+	{
+		
+		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+		
+		private System.Guid _Id;
+		
+		private string _Name;
+		
+		private string _StrongName;
+		
+		private string _Version;
+		
+		private EntitySet<ResourcePlugin> _ResourcePlugins;
+		
     #region Extensibility Method Definitions
     partial void OnLoaded();
